## OVERVIEW

This is the dataset for `OpY`'s congestion experiments at a static location in Upper Hutchinson Baseball Park, where each of three devices started an iPerf TCP DL traffic with 8 parallel connections at a 1 minute interval within each other.

The dataset is separated into 4 folders:

  - `DLModulation` contains only DL Modulation used during experiments
  - `DLTput` contains DL signal (RSRP, RSRQ, SINR, PCI, Beam Index, ARFCN) and throughput (PDSCH and MAC) information, for each channel (`PCell` and `SCell[1]-[3]`).
  - `ML1Searcher` contains a thorough and detailed information regarding received signal power of serving and neighbor at UE's receive beams (`Instant BRSRP Rx0` and `Rx1`) for `Serving-PCI` and `Neighbor-PCIxxx`.
  - `Processed` contains the processed data for one representative result we presented in the paper.

### Additional File & Folder Nomenclature

  - Each CSV is labelled `Mx` with `x` indicating UE index.
  - The three digit label before the `Mx` label indicates iPerf start order: `123` means UE 1 -> UE 2 -> UE 3, `312` means UE 3 -> UE 1 -> UE 2, and so on. 
  - By keeping devices together side-by-side or keeping them at a distance, we control the serving beam of different devices: `SMBM` same serving beam, and `DFMB` different serving beams for each devices.