## OVERVIEW

5G Beams is a dataset that represents the data captured in the [IEEE INFOCOM '22 paper - "A Comparative Measurement Study of Commercial 5G mmWave Deployments"](https://ieeexplore.ieee.org/document/9796693).

This dataset is being made available to the research community at [5gbeams.umn.edu](https://5gbeams.umn.edu/).

If you need any other low-layer information that are not released as part of the dataset, feel free to contact us (contact email is listed below). We will try our best to help.

Please note, this is v0.92 and is not the final release. All changes to this dataset is documented in CHANGELOG.md

## QUICK START GUIDE

This dataset is separated over 4 folders/categories:

  - `Baseball-Park-Coverage`: 5G mmWave beam coverage survey of Baseball Park using multiple walking routes and sessions. Ping traffic was kept running in the background to ensure the UE does not go into idle state.
  - `Downtown`: 5G mmWave beam coverage and performance survey of a set route inside the Loop area using Ping and HTTP DL traffic.
  - `Citywide-Coverage`: Coverage survey of the Loop area of downtown Chicago using Ping traffic on a device mounted in a car driving at a relatively low driving speed (<25 km/h).
  - `Beam-Congestion`: Congestion experiments at a static location in Upper Hutchinson Baseball Park, where each of three smartphone devices or user equipment (UE) started an iPerf3 TCP Download session with 8 parallel connections with a 1 minute interval between every other UE.


## CITING THE DATASET

```
@INPROCEEDINGS{5gbeamsInfocom22,
 author={Narayanan, Arvind and Rochman, Muhammad Iqbal and Hassan, Ahmad and Firmansyah, Bariq S. and Sathya, Vanlin and Ghosh, Monisha and Qian, Feng and Zhang, Zhi-Li},
 booktitle={IEEE INFOCOM 2022 - IEEE Conference on Computer Communications},
 title={{A Comparative Measurement Study of Commercial 5G mmWave Deployments}},
 year={2022},
 pages={800-809},
 doi={10.1109/INFOCOM48880.2022.9796693}
}
```

## QUESTIONS?

Please feel free to contact us with questions or information about the data (arvind@cs.umn.edu,muhiqbalcr@uchicago.edu,fivegophers@umn.edu)

## LICENSE 

5G Beams dataset is licensed under the Creative Commons Attribution 4.0 International License. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.